# wordpress-rest-curl

CLI tool for submitting posts to WordPress through its REST API using curl.

## Install
### WordPress
Install [Application Passwords](https://wordpress.org/plugins/application-passwords/) plugin and follow its installation steps (i.e. create a new passowrd for your user).

### Local shell
Make sure you have `curl` installed. If you want to enter text in markdown format, install `python-markdown2`.

Create a config file `~/.config/wordpress-rest-curl/config.sh` from the `config.sh.template` file.

Copy the posting script to e.g. `/usr/local/bin/wordpress-post` so that you can run it from anywhere.

## Usage
* Run the script
* Text editor opens. Type your post, save it.
* Confirm the displayed post by pressing enter.
* Done!

